<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Donation Search Results by Date</title>
</head>
<body>

<h1>Donation Date Range</h1>

<?php
// Database connection settings
$servername = "localhost";
$username = "lnmwinyi";
$password = "Kanairo2022!";
$dbname = "lnmwinyi_assign9donation";

// Establish the database connection
$dbc = mysqli_connect($servername, $username, $password, $dbname);


// Check if the connection was successful
if (!$dbc) {
    die('Could not connect to MySQL: ' . mysqli_connect_error());
}


// Get user input from the search form
if (isset($_POST['search_by_date'])) {
    // Sanitize user inputs for date range
    $start_date = mysqli_real_escape_string($dbc, $_POST['start_date']);
    $end_date = mysqli_real_escape_string($dbc, $_POST['end_date']);

    // Ensure that both dates are not empty and valid
    if (!empty($start_date) && !empty($end_date)) {
        // Build the SQL query to search for donations by date range
        $query = "SELECT * FROM `donation` WHERE donation_date BETWEEN '$start_date' AND '$end_date'";

        // Run the query
        $result = mysqli_query($dbc, $query);

        // Check if any records were found
        if (mysqli_num_rows($result) > 0) {
            echo "<h2>Search Results:</h2>";
            echo "<p>Found " . mysqli_num_rows($result) . " record(s) between $start_date and $end_date.</p>";

            // Loop through and display each donation record
            while ($row = mysqli_fetch_assoc($result)) {
                echo "<p><strong>Name:</strong> " . $row['donor_first_name'] . " " . $row['donor_last_name'] . "<br>";
                echo "<strong>Donation Type:</strong> " . $row['donation_type'] . "<br>";
                echo "<strong>Value:</strong> $" . $row['donation_value'] . "<br>";
                echo "<strong>Comments:</strong> " . $row['donation_comments'] . "<br>";
                echo "<strong>Date:</strong> " . $row['donation_date'] . "</p>";
            }
        } else {
            echo "<p>No records found for the given date range.</p>";
        }
    } else {
        echo "<p>Please provide both a start and end date.</p>";
    }
}

// Close the database connection
mysqli_close($dbc);
?>

<!-- Link to go back to the search form -->
<a href="form.php">Go back to the search form</a>

</body>
</html>